﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ant.Core.SqlServer.BaseEntities
{
	/// <summary>
	/// 
	/// </summary>
    public class BaseEntity
    {
		/// <summary>
		/// 创建时间
		/// </summary>
		[Required]
		public DateTime CreateDT { set; get; }

		/// <summary>
		/// 创建人
		/// </summary>
		[MaxLength(50)]
		[Required(AllowEmptyStrings = true)]
		public string CreateBY { set; get; }

		/// <summary>
		/// 修改时间
		/// </summary>
		[Required]
		public DateTime ModifyDT { set; get; }

		/// <summary>
		/// 修改人
		/// </summary>
		[MaxLength(50)]
		[Required(AllowEmptyStrings = true)]
		public string ModifyBY { set; get; }
	}
}
