﻿using Ant.Core.WebApi.Model;
using Central.Control.WebApi.Service.Interface;
using System.Web.Http;

namespace Central.Control.WebApi.Controllers
{
    /// <summary>
    /// 订单相关接口
    /// </summary>
    [RoutePrefix("api/product")]
    public class ProductController : ApiController
    {
        private readonly IProductService _productService;

        /// <summary>
        /// 
        /// </summary>
        /// <param name="productService"></param>
        public ProductController(IProductService productService)
        {
               _productService = productService;
        }

        /// <summary>
        /// 测试接口
        /// </summary>
        /// <returns></returns>
        [HttpGet]
        [Route("test11")]
        public ApiResult<string> Test()
        {
            return _productService.Test();
        }
    }
}
